MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031994Open CASCADE[OCCT] OCCT:DRAWpublic2020-12-13 22:312020-12-19 15:22
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformmacOSmacOSOS Version11.0
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0031994: Draw Harness - dversion prints "Architecture: unrecognized" on ARM host
Descriptiondversion output is incomplete on ARM host:
Steps To Reproduce
Draw[4]> dver
Open CASCADE Technology 7.6.0.dev
TBB disabled
FreeImage enabled (HAVE_FREEIMAGE)
FFmpeg disabled
OpenGL: desktop
OpenVR disabled
RapidJSON enabled (HAVE_RAPIDJSON)
VTK disabled
Exceptions disabled (No_Exception)
Compiler: Clang 12.0.0
Architecture: unrecognized
OS: Mac OS X
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0097559)
git (administrator)
2020-12-13 22:57

Branch CR31994 has been created by kgv.

SHA-1: b2cdce6dff8c54b1b1bc54bca7f0b1dacc15c811


Detailed log of new commits:

Author: kgv
Date: Sun Dec 13 22:56:45 2020 +0300

    0031994: Draw Harness - dversion prints "Architecture: unrecognized" on ARM host
    
    Added handling of __aarch64__ macros.
(0097560)
kgv (developer)
2020-12-13 22:58

Patch is ready for review
- OCCT branch: CR31994.
(0097590)
git (administrator)
2020-12-14 19:05

Branch CR31994 has been updated forcibly by kgv.

SHA-1: 6a58f716c15b1de9ee8c1c46d681b56d3ebfce0d
(0097609)
abv (manager)
2020-12-15 13:03

No remarks, please integrate
(0097744)
bugmaster (administrator)
2020-12-19 14:49

Combination -
OCCT branch : IR-2020-12-18
master SHA - 04114fd201c20efe9fbe85f00bec9a99ae3747ad
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-12-18 SHA - 290e5c74e8fef71947cadf90acb8e43c81ed10a1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17709.570000000054 / 17744.450000000124 [-0.20%]
Products
Total CPU difference: 12258.480000000121 / 12330.210000000125 [-0.58%]
Windows-64-VC14:
OCCT
Total CPU difference: 19272.796875 / 19429.1875 [-0.80%]
Products
Total CPU difference: 13712.859375 / 13755.5 [-0.31%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0097780)
git (administrator)
2020-12-19 15:22

Branch CR31994 has been deleted by inv.

SHA-1: 6a58f716c15b1de9ee8c1c46d681b56d3ebfce0d

- Related Changesets
occt: master fccc168a
Timestamp: 2020-12-13 19:56:45
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031994: Draw Harness - dversion prints "Architecture: unrecognized" on ARM host

Added handling of __aarch64__ macros.
mod - src/Draw/Draw_BasicCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-12-13 22:31 kgv New Issue
2020-12-13 22:31 kgv Assigned To => abv
2020-12-13 22:55 kgv Summary Draw Harness - dversion prints "Architecture: unrecognized" for ARM cpu => Draw Harness - dversion prints "Architecture: unrecognized" on ARM host
2020-12-13 22:57 git Note Added: 0097559
2020-12-13 22:58 kgv Note Added: 0097560
2020-12-13 22:58 kgv Status new => resolved
2020-12-14 19:05 git Note Added: 0097590
2020-12-15 13:03 abv Note Added: 0097609
2020-12-15 13:03 abv Assigned To abv => bugmaster
2020-12-15 13:03 abv Status resolved => reviewed
2020-12-19 14:49 bugmaster Note Added: 0097744
2020-12-19 14:49 bugmaster Status reviewed => tested
2020-12-19 14:56 bugmaster Test case number => Not required
2020-12-19 15:06 bugmaster Changeset attached => occt master fccc168a
2020-12-19 15:06 bugmaster Status tested => verified
2020-12-19 15:06 bugmaster Resolution open => fixed
2020-12-19 15:22 git Note Added: 0097780


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker